<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class ProfileRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'user_id' => 'required|integer|exists:users,id',
            'name' => 'required|string|max:30',
            'surname' => 'required|string|max:30',
            'gender' => 'required',
            'country' => 'required|string|max:40',
            'city' => 'required|string|max:40 ',
            'age' => 'required|integer|max:100',
            'hobby' => 'required|string|max:70'
        ];
    }
}