@extends('admin.index')
@section('styles')
    @parent
    <link href="{{ asset('css/admin_users.css') }}" rel="stylesheet">
@endsection
@section('content')
    @parent

    <div class="container">
        <div class="table-users card">
            <div class="card-header">
                <h4>Администрирование категорий</h4>
            </div>
            <div class="card-body">
                <table class="table table-striped table-hover">
                    <thead class="">
                    <tr>
                        <th>action</th>
                        <th>id</th>
                        <th>title</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach ( $categories as $category)
                        <tr>
                            <td style="width: 150px">
                                <i class="fas fa-trash" style="font-size: 1em; color: red; padding: 5px; border: 1px solid red;"></i>
                                delete change
                            </td>
                            <td style="width: 50px">{{ $category->id }} </td>
                            <td><input value="{{ $category->title }}" style="border: none;"></td>
                        </tr>
                    @endforeach
                </table>
            </div>
        </div>

        <div class="card-footer" style="height:60px;position:relative;">
            <div class="row">
                <div class="col-md-offset-1 col-md-10">{{ $categories->links() }}</div>
            </div>
        </div>

    </div>
    </div>
@endsection