@extends('layouts.app')

@section('navbar')
    @parent
    <nav id="adminNavbar" class="navbar navbar-expand-md">
        {{--<div class="row">--}}
        <div class="navbar-toggler" type="button" data-toggle="collapse" data-target="#categoryNav"
             aria-controls="nav-content" aria-expanded="false" aria-label="Toggle navigation">
            <span class="glyphicon glyphicon-tasks"></span>
        </div>

        <div id="categoryNav" class="navbar-collapse collapse bg-light navbar-light justify-content-md-center">
            <ul id="categoryNavList" class="navbar-nav">

                <li class="nav-item active">
                    <a class="nav-link" href="#">Home</a>
                </li>
                <li class="nav-item">
                        <a class="nav-link" href="{{ route('admin.items') }}">Итемки</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{ route('admin.users') }}">Пользователи</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{ route('admin.categories') }}"></a>
                </li>
                {{--<li class="nav-item">--}}
                    {{--<a class="nav-link" href="{{ route('admin.subcategories') }}"></a>--}}
                {{--</li>--}}
                {{--<li class="nav-item">--}}
                    {{--<a class="nav-link" href="{{ route('admin.tags') }}"></a>--}}
                {{--</li>--}}
                {{--<li class="nav-item">--}}
                    {{--<a class="nav-link" href="{{ route('admin.offers') }}"></a>--}}
                {{--</li>--}}
                {{--<li class="nav-item">--}}
                    {{--<a class="nav-link" href="{{ route('admin.deals') }}"></a> --}}
                {{--</li>--}}



                {{--<li class="nav-item dropdown"  >--}}
                {{--<a class="nav-link " data-toggle="dropdown" href="#">Services</a>--}}
                {{--<ul class="dropdown-menu">--}}
                {{--<li><a href="#">Website Designing</a></li>--}}
                {{--<li><a href="#">Website Development</a></li>--}}
                {{--<li><a href="#">Content Writing</a></li>--}}
                {{--<li><a href="#">PPC Services</a></li>--}}
                {{--<li><a href="#">SMO</a></li>--}}
                {{--<li><a href="#">SEO</a></li>--}}
                {{--</ul>--}}
                {{--</li>--}}
            </ul>
        </div>
    </nav>


@endsection
@section('content')
    {{--<div class="card-header">--}}
        @if(count($errors)>0)
            <div class="alert alert-danger" style="padding-top: 0px"></div>
            @foreach($errors->all() as $error)
                <div class="alert alert-danger" style="display:inline!important">{{ $error }}</div>
            @endforeach
        @elseif(session('message'))
            <div class="alert alert-success" style="padding-top: 0px"></div>
            @foreach((array)session('message') as $message)
                <div class="alert alert-success" style="display:inline!important">{{ $message }}</div>
            @endforeach
        @endif
    {{--</div>--}}
@endsection