@extends('admin.index')
@section('styles')
    @parent
    <link href="{{ asset('css/admin_users.css') }}" rel="stylesheet">
@endsection
@section('content')
    @parent

    <div class="container">
        <div class="table-users card">
            <div class="card-header">
                <h4>Администрирование пользователей</h4>
            </div>
            <div class="card-body">
                <div class="table table-striped table-hover">
                    <div class="card-header-tabs">

                    </div>
                </div>
            </div>
            <table class="table table-striped table-hover">
                <thead class="">
                <tr>
                    <th>action</th>
                    <th>id</th>
                    <th>nickname</th>
                    <th>email</th>
                    <th>password</th>
                    <th>role</th>
                    <th>created</th>
                    <th>updated</th>
                </tr>
                </thead>
                <tbody>
                @foreach ( $users as $user)
                    <tr>
                        <td>
                            <i class="fas-check"></i>
                             delete change</td>
                        <td>{{ $user->id }} </td>
                        <td>{{ $user->nickname }} </td>
                        <td>{{ $user->email }} </td>
                        <td> reset</td>
                        <td>{{ $user->role }} </td>
                        <td>{{ $user->updated_at->format('F j, Y') }} </td>
                        <td>{{ $user->created_at->format('F j, Y') }} </td>
                    </tr>
                @endforeach
            </table>
        </div>

        <div class="card-footer" style="height:60px;position:relative;">
            <div class="row">
                <div class="col-md-offset-1 col-md-10">{{ $users->links() }}</div>
            </div>
        </div>

    </div>
    </div>
@endsection