<div class="col-sm-6 col-md-3">
    <div class="panel panel-default panel-card">

        <div class="panel-heading"> {{--item-pictures--}}
            @if (isset( $item->picture[0]))
                <img src="/image/{{ $item->picture[0]->path ?: "" }}"/>
            @else
                <img src="/image/items/default"/>
            @endif
            <a class="btn btn-primary btn-sm" href="item/{{ $item->id }}">Детально</a>
        </div>

        <div class="figure"> {{--user picture--}}
            <img class="img-responsive img-circle"
                 src="https://scontent.fhrk3-1.fna.fbcdn.net/v/t1.0-1/p160x160/10984032_801554486564353_107125038265022497_n.jpg?oh=c6386a2ecaee4df670ee28c81214e758&oe=5B4BF41D"/>
        </div>
        <div class="panel-body text-center"> {{--item information--}}
            <h4 class="panel-header"><a href="item/{{ $item->id }}">{{ $item->caption }}</a></h4>
            <small>{{ $item->description }} </small>
        </div>

        @if(count($item->picture)>1)
            <div class="panel-thumbnails"> {{--additional pictures--}}
                <div class="row row-centered">
                    @foreach($item->picture as $key => $picture)
                        @continue($key === 0)
                        <div class="col-xs-4" style="padding-left: 5px; padding-right: 5px">
                            <div class="thumbnail">
                                <img src="/image/{{ $picture->path ?: "" }}"/>
                            </div>
                        </div>
                    @endforeach
                </div>
            </div>
        @endif

        <div class="panel-footer"></div>
    </div>
</div>