<?php

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class SubcategoriesTableSeeder extends Seeder
{

    protected $subcategories = [
        ['Одежда и обувь', 'Детские вещи', 'Игрушки', 'Часы и украшения', 'Красота и здоровье', 'Аксессуары', 'Сумки'],
        ['Билеты', 'Книги и журналы', 'Путешествия', 'Музыкальные инструменты', 'Спорт и отдых', 'Охота и рыбалка'],
        ['Аудио,видео', 'Планшеты', 'Компьютеры и комплектующие', 'Телефоны', 'Оргтехника', 'Фототехника'],
        ['Бытовая техника', 'Мебель и интерьер', 'Посуда и товары для кухни', 'Строительство и ремонт', 'Растения'],
        ['Собаки', 'Кошки', 'Птицы', 'Аквариум', 'Другие животные'],
        ['Для авто'],
    ];

    public function run()
    {
        foreach ($this->subcategories as $key => $subcategory) {
            foreach ($subcategory as $title) {
                DB::table('subcategories')->insert([
                    'category_id' => $key + 1,
                    'title' => $title]);
            }
        }
    }
}
