@extends('admin.index')
@section('styles')
    @parent
    <link href="{{ asset('css/admin_users.css') }}" rel="stylesheet">
@endsection
@section('content')
    @parent

    <div class="container">
        <div class="table-users card">
            <div class="card-header">
                <h4>Администрирование пользователей</h4>
            </div>
            <div class="card-body">
                <div class="table table-striped table-hover">
                    <div class="card-header-tabs">

                    </div>
                    <div class="table-body">
                        @foreach($users as $user)
                            <div class="row">
                                <div class="group">
                                    <div class="table-cell"> X delete change</div>
                                    <div class="table-cell">{{ $user->id }} </div>
                                </div>
                                <div class="table-cell" style="width: 100px">{{ $user->nickname }} </div>
                                <div class="table-cell" style="width: 180px">{{ $user->email }} </div>
                                <div class="group">
                                    <div class="table-cell" style="width: 50px"> reset</div>
                                    <div class="table-cell" style="width: 100px">{{ $user->role }} </div>
                                </div>
                                <div class="group">
                                    <div class="table-cell" style="width: 150px">{{ $user->updated_at }} </div>
                                    <div class="table-cell" style="width: 150px">{{ $user->created_at }} </div>
                                </div>
                            </div>
                        @endforeach
                </div>
            </div>

            <div class="card-footer">
                <div class="row">
                    <div class="col-md-offset-1 col-md-10">{{ $users->links() }}</div>
                </div>
            </div>

        </div>
    </div>
@endsection