<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>Заполните профиль</title>
    <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.5.0/css/font-awesome.min.css" rel="stylesheet"
          integrity="sha256-3dkvEK0WLHRJ7/Csr0BZjAWxERc5WH7bdeUya2aXxdU= sha512-+L4yy6FRcDGbXJ9mPG8MT/3UCDzwR9gPeyFNMCtInsol++5m3bk2bXWKdZjvybmohrAsn3Ua5x8gfLnbE1YkOg=="
          crossorigin="anonymous">
    <!-- Bootstrap Core CSS -->
    <!--     <link href="css/bootstrap.min.css" rel="stylesheet"> -->
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha256-7s5uDGW3AHqw6xtJmNNtr+OBRJUlgkNJEo78P4b0yRw= sha512-nNo+yCHEyn0smMxSswnf/OnX6/KwJuZTlNZBjauKhTK0c+zT+q5JOCx0UFhXQ6rJR9jg6Es8gPuD2uZcYDLqSw=="
          crossorigin="anonymous">

    <!-- Custom CSS -->
    <style>
        body {
            padding-top: 70px;
            background: linear-gradient(to bottom, #00FA9A, #1E90FF);
            /* Required padding for .navbar-fixed-top. Remove if using .navbar-static-top. Change if height of navigation changes. */
        }

        .othertop {
            margin-top: 10px;
        }


    </style>

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->

</head>

<body>

<div class="container">
    {{--@php dump($profile) @endphp--}}
    @if ($errors->any())
        <div class="alert alert-danger">
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif
    <div class="row">
        <div class="col-md-10 ">
            <form class="form-horizontal"  method="POST" action="{{ route('user.profile.store') }}">
                {{ csrf_field() }}
                <fieldset>

                    <!-- Form Name -->
                    <legend>Заполнение профиля</legend>

                    <!-- Text input-->

                    <div class="form-group">
                        <label class="col-md-4 control-label" for="Name ">Имя (Name)</label>
                        <div class="col-md-4">
                            <div class="input-group">
                                <div class="input-group-addon">
                                    <i class="fa fa-user">
                                    </i>
                                </div>
                                <input id="Имя (Name)" name="name" type="text" placeholder="Имя (Name)"
                                       class="form-control input-md" value="{{ $profile->name ?? "" }}">
                            </div>


                        </div>


                    </div>

                    <!-- Text input-->
                    <div class="form-group">
                        <label class="col-md-4 control-label" for="surname">Фамилия (Surname)</label>
                        <div class="col-md-4">

                            <div class="input-group">
                                <div class="input-group-addon">
                                    <i class="fa fa-male" style="font-size: 20px;"></i>

                                </div>
                                <input id="Фамилия (Surname)" name="surname" type="text" placeholder="Фамилия (Surname)"
                                       class="form-control input-md" value="{{ $profile->surname ?? "" }}">
                            </div>


                        </div>
                    </div>


                    <!-- Multiple Radios (inline) -->
                    <div class="form-group">
                        <label class="col-md-4 control-label" for="Gender">Пол (Gender)</label>
                        <div class="col-md-4">
                            <label class="radio-inline" for="Gender-0">
                                <input type="radio" name="gender" id="Gender-0" value="1" {{ ($profile->gender === "1") ? "checked='checked'" : "" }}>
                                Male
                            </label>
                            <label class="radio-inline" for="Gender-1">
                                <input type="radio" name="gender" id="Gender-1" value="2" {{ ($profile->gender === "2") ? "checked='checked'" : "" }}>
                                Female
                            </label>
                        </div>
                    </div>

                    <!-- Text input-->
                    <div class="form-group">
                        <label class="col-md-4 control-label" for="Country">Страна (Country)</label>
                        <div class="col-md-4">
                            <div class="input-group">
                                <div class="input-group-addon" >
                                    <i class="fa fa-home"></i>

                                </div>
                                <input id="Country" name="country" type="text" placeholder="Страна (Country)"
                                       class="form-control input-md" value="{{ $profile->country ?? "" }}">
                            </div>

                        </div>
                    </div>

                    <!-- Text input-->
                    <div class="form-group">
                        <label class="col-md-4 control-label" for="City">Город (City)</label>
                        <div class="col-md-4">
                            <div class="input-group">
                                <div class="input-group-addon">
                                    <i class="fa fa-home"></i>

                                </div>
                                <input id="City" name="city" type="text" placeholder="Город (City)"
                                       class="form-control input-md" value="{{ $profile->city ?? "" }}">
                            </div>


                        </div>
                    </div>

                    <!-- Text input-->
                    <div class="form-group">
                        <label class="col-md-4 control-label" for="Age">Возраст (Age)</label>
                        <div class="col-md-4">
                            <div class="input-group">
                                <div class="input-group-addon">
                                    <i class="fa fa-calendar"></i>

                                </div>
                                <input id="Age" name="age" type="text" placeholder="Возраст (Age)"
                                       class="form-control input-md" value="{{ $profile->age ?? "" }}">
                            </div>


                        </div>
                    </div>

                    <!-- Text input-->
                    <div class="form-group">
                        <label class="col-md-4 control-label" for="Hobby">Хобби (Hobby)</label>
                        <div class="col-md-4">
                            <div class="input-group">
                                <div class="input-group-addon">
                                    <i class="fa fa-camera-retro"></i>

                                </div>
                                <input id="Hobby" name="hobby" type="text" placeholder="Хобби (Hobby)"
                                       class="form-control input-md" value="{{ $profile->hobby ?? "" }}">

                            </div>

                        </div>
                    </div>

                    <div class="form-group text-center">
                        <input hidden name="user_id" value="{{ Auth::id() }}">
                        <button type="submit" class="btn btn-primary btn-lg">
                            Сохранить
                        </button>
                    </div>

                    <div class="text-center">
                        <button type="submit" class="btn btn-primary btn-lg">
                            Назад
                        </button>
                    </div>

                </fieldset>
            </form>
        </div>
        <div class="col-md-2 hidden-xs">
            <img src="http://websamplenow.com/30/userprofile/images/avatar.jpg" class="img-responsive img-thumbnail ">
        </div>


    </div>
</div>
<!-- jQuery Version 1.11.1 -->
<script src="js/jquery.js"></script>

<!-- Bootstrap Core JavaScript -->
<script src="js/bootstrap.min.js"></script>

</body>

</html>